## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate miniz_oxide

Name:           rust-miniz_oxide
Version:        0.7.4
Release:        %autorelease
Summary:        DEFLATE compression and decompression library rewritten in Rust based on miniz

License:        MIT OR Zlib OR Apache-2.0
URL:            https://crates.io/crates/miniz_oxide
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
DEFLATE compression and decompression library rewritten in Rust based on
miniz.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/LICENSE-APACHE.md
%license %{crate_instdir}/LICENSE-MIT.md
%license %{crate_instdir}/LICENSE-ZLIB.md
%doc %{crate_instdir}/Readme.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+simd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd-devel %{_description}

This package contains library source intended for building other packages which
use the "simd" feature of the "%{crate}" crate.

%files       -n %{name}+simd-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+simd-adler32-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd-adler32-devel %{_description}

This package contains library source intended for building other packages which
use the "simd-adler32" feature of the "%{crate}" crate.

%files       -n %{name}+simd-adler32-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "with-alloc" feature of the "%{crate}" crate.

%files       -n %{name}+with-alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jun 21 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.4-1
- Update to version 0.7.4; Fixes RHBZ#2292803

* Fri May 24 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.3-1
- Update to version 0.7.3; Fixes RHBZ#2281024

* Sun Feb 04 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.2-1
- Update to version 0.7.2; Fixes RHBZ#2262565

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.1-3
- Enable feature for simd-accelerated adler32 hash

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.1-1
- Update to version 0.7.1; Fixes RHBZ#2120116

* Thu Mar 30 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.2-1
- Update to version 0.6.2

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 09 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.3-1
- Update to version 0.5.3; Fixes RHBZ#2020449

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Feb 25 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.4-1
- Update to version 0.4.4.
- Fixes RHBZ#1933081

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Nov 07 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.3-2
- Reintroduce accidentally dropped no_extern_crate_alloc feature.

* Mon Oct 26 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.3-1
- Update to version 0.4.3.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 10 2020 Josh Stone <jistone@redhat.com> - 0.3.7-1
- Update to 0.3.7

* Thu Feb 06 2020 Josh Stone <jistone@redhat.com> - 0.3.6-1
- Update to 0.3.6

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 19 2019 Josh Stone <jistone@redhat.com> - 0.3.5-1
- Update to 0.3.5

* Tue Sep 17 14:50:15 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.2-1
- Update to 0.3.2

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 09:38:31 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.1-3
- Regenerate

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 23 2019 Josh Stone <jistone@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-2
- Adapt to new packaging

* Mon Oct 22 2018 Josh Stone <jistone@redhat.com> - 0.2.0-1
- Update to 0.2.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jun 24 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.3-1
- Update to 0.1.3

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.2-1
- Initial package

## END: Generated by rpmautospec
